SDL_zerop(3)

NAME
SDL_zerop - Clear an object's memory to zero, using a pointer.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_zerop(x) SDL_memset((x), 0, sizeof(*(x)))

DESCRIPTION
This is wrapper over SDL_memset
 that handles calculating the object size, so there's no chance of copy/paste errors, and the code is cleaner.

This requires a pointer to an object, not an object itself, nor an array.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_zero(3), •(3), SDL_zeroa(3)